GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

        • Account Binding

          • Generate External Identity Provider Link
          • Unbind External Identity Provider
          • Get Bound External Identity Providers
          • Get Application Enabled External Identity Providers
        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. Account Binding

  10. /
  11. Get Application Enabled External Identity Providers

¶ Get the list of external identity sources enabled by the application

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get the list of external identity sources enabled by the application. The front end can render the external identity source button based on this.

¶ Method name

AuthenticationClient.get_application_enabled_ext_idps

¶ Request parameters

NameType
Required
Default value
Description
Sample value

¶ Request response

Type: GetExtIdpsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataarrayExternal identity source list

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "identifier": "wechat"
  }
}

¶ Data structure

¶ ExtIdpInfoDto

NameType
Is it required?
Description
Sample value
identifierstringYesIdentity source connection unique identifierwechat
extIdpIdstringyesIdentity source ID
typestringyesIdentity source typeoidc
extIdpTypestringyesAuthentication typesocial
bindUrlstringyesAuthentication URL
namestringyesIdentity source display name
name_enstringnoIdentity source display name (English)
descstringnoDescription
desc_enstringnoDescription in English
logostringnoIcon
Previous article: Get Bound External Identity Providers Next article: Initiate MFA Factor Enrollment Request
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.